Probleme mit dem upgrade von 2.0.9 - 2.6.1

In this board you can talk about general questions about phpMyFAQ

Moderator: Thorsten

Post Reply
spacewan
Posts: 24
Joined: Tue Mar 17, 2009 12:51 pm

Probleme mit dem upgrade von 2.0.9 - 2.6.1

Post by spacewan » Fri Jan 29, 2010 10:49 am

Hallo Leute,
der Versuch von 2.0.9 auf 2.6.1 upzudaten klappt einfach nicht.
Ich bin mir nicht einmal sicher ob das script überhautp durchläuft, es gibt kein feedback und auch keine Fehlermeldung.
Bin vorgegangen wie in den Docs beschrieben.
Meine Umgebung: php 5.2.0-8+etch16, mysql 5.0.32 - alle php/system requirements sind erfüllt.
Eine saubere Neuinstallation von 2.6.1 klappt einwandfrei und läuft danach auch.
Nach dem ausführen des update scripts bekomme ich beim aufrufen von den faqs diese Fehlermeldungen.

phpMyFAQ notice [8]: Undefined index: main.attachmentsPath in Configuration.php on line 127
phpMyFAQ notice [8]: Undefined index: main.attachmentsPath in Configuration.php on line 135
phpMyFAQ notice [8]: Uninitialized string offset: 0 in Init.php on line 127
phpMyFAQ notice [8]: Undefined index: main.attachmentsStorageType in Configuration.php on line 127
phpMyFAQ notice [8]: Undefined index: main.attachmentsStorageType in Configuration.php on line 135
phpMyFAQ notice [8]: Undefined index: main.defaultAttachmentEncKey in Configuration.php on line 127
phpMyFAQ notice [8]: Undefined index: main.defaultAttachmentEncKey in Configuration.php on line 135
phpMyFAQ notice [8]: Undefined index: main.enableAttachmentEncryption in Configuration.php on line 127
phpMyFAQ notice [8]: Undefined index: main.enableAttachmentEncryption in Configuration.php on line 135
phpMyFAQ notice [8]: Undefined index: main.useSslForLogins in Configuration.php on line 127
phpMyFAQ notice [8]: Undefined index: main.useSslForLogins in Configuration.php on line 135
phpMyFAQ notice [8]: Undefined index: main.templateSet in Configuration.php on line 127
phpMyFAQ notice [8]: Undefined index: main.templateSet in Configuration.php on line 135
phpMyFAQ notice [8]: Undefined index: main.useAjaxSearchOnStartpage in Configuration.php on line 127
phpMyFAQ notice [8]: Undefined index: main.useAjaxSearchOnStartpage in Configuration.php on line 135

Hat da jemand einen Tip oder eine Alternative wie ich den Datenbestand in die neue Version bekomme?

Danke und Grüße

spacewan
Posts: 24
Joined: Tue Mar 17, 2009 12:51 pm

Re: Probleme mit dem upgrade von 2.0.9 - 2.6.1

Post by spacewan » Fri Jan 29, 2010 11:54 am

Problem ist wie folgt gelöst:
von 2.0.9 -> 2.0.17 -> 2.5.0 -> 2.5.7 -> 2.6.0 -> 2.6.1
2.6.1 scheint Probleme im update script zu haben.

Grüße

Thorsten
Posts: 14758
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Probleme mit dem upgrade von 2.0.9 - 2.6.1

Post by Thorsten » Fri Jan 29, 2010 11:58 am

Hi,

jep, da ist ein Fehler im Update-Skript der 2.6.1, die 2.6.2 ist in Arbeit und kommt bald.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

stylus740
Posts: 64
Joined: Sat Apr 01, 2006 6:29 pm

Re: Probleme mit dem upgrade von 2.0.9 - 2.6.1

Post by stylus740 » Sun Jan 31, 2010 5:21 pm

Hallo,

nachdem ich erst vergeblich ein Update versucht habe, die FAQ übel aussieht und erst dann diesem Beitrag gelesen habe:

Wird denn die 2.6.2 wieder eine ansehnliche FAQ erstellen?

neugierig.....

stylus740

Thorsten
Posts: 14758
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Probleme mit dem upgrade von 2.0.9 - 2.6.1

Post by Thorsten » Sun Jan 31, 2010 5:22 pm

Hi,

die kommt morgen oder übermorgen. Ein Update auf 2.6.0 und dann auf 2.6.1 geht aber auch.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

stylus740
Posts: 64
Joined: Sat Apr 01, 2006 6:29 pm

Re: Probleme mit dem upgrade von 2.0.9 - 2.6.1

Post by stylus740 » Fri Feb 05, 2010 10:02 pm

Hallo,

nur um beim Thema zu bleiben: Ich habe jetzt also über die mißglückte Installation der 2.6.1 die 2.6.2 "drübergebügelt". Upgradescript funzte. Aber beim start der FAQ wurden fehlende template Dateien bemängelt.
Irgendwo im Forum habe ich gelesen, dass die Templates nun in einem Unterordner /default sind und dass das upgrade script diese verschiebe.
Es wurde nix verschoben.
Also hab ich den Inhalt von /templates von Hand nach /templates/default verschoben.
OK, die FAQ startet nun, aber unter "Beliebte FAQs" stehen nun keine Einträge, sondern '{writeTopTenRow}' und unter "Neueste FAQs RSS" steht nur
'{writeNewestRow}'

und nun? any chance, die FAQ zu retten?

bye

Thorsten
Posts: 14758
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Probleme mit dem upgrade von 2.0.9 - 2.6.1

Post by Thorsten » Sat Feb 06, 2010 5:54 am

Hi,

na klar... vergleiche die Templates der 2.6.2 mit deinen bestehenden. Es sind nur an einigen Stellen kleinere Änderungen in der XHTML Struktur passiert, zB in startpage.tpl und instantresponse.tpl.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

Post Reply